Package org.apache.uima.ruta.example.extensions

# Class ExampleBooleanFunction

java.lang.Object
org.apache.uima.ruta.RutaElement
org.apache.uima.ruta.expression.RutaExpression
org.apache.uima.ruta.expression.string.AbstractStringExpression
org.apache.uima.ruta.expression.bool.AbstractBooleanExpression
org.apache.uima.ruta.expression.bool.BooleanFunctionExpression
org.apache.uima.ruta.example.extensions.ExampleBooleanFunction

All Implemented Interfaces:
  `org.apache.uima.ruta.expression.bool.IBooleanExpression`, `org.apache.uima.ruta.expression.IRutaExpression`, `org.apache.uima.ruta.expression.string.IStringExpression`

public class ExampleBooleanFunction extends org.apache.uima.ruta.expression.bool.BooleanFunctionExpression

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExampleBooleanFunction(org.apache.uima.ruta.expression.type.ITypeExpression expr)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getBooleanValue(org.apache.uima.ruta.rule.MatchContext context, org.apache.uima.ruta.RutaStream stream)`
  `org.apache.uima.ruta.expression.type.ITypeExpression`
  `getExpr()`
  `String`
  `getStringValue(org.apache.uima.ruta.rule.MatchContext context, org.apache.uima.ruta.RutaStream stream)`

  ### Methods inherited from class org.apache.uima.ruta.expression.RutaExpression

  `getTargetAnnotation`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExampleBooleanFunction

    public ExampleBooleanFunction(org.apache.uima.ruta.expression.type.ITypeExpression expr)

- ## Method Details

  - ### getExpr

    public org.apache.uima.ruta.expression.type.ITypeExpression getExpr()

  - ### getBooleanValue

    public boolean getBooleanValue(org.apache.uima.ruta.rule.MatchContext context, org.apache.uima.ruta.RutaStream stream)

  - ### getStringValue

    public String getStringValue(org.apache.uima.ruta.rule.MatchContext context, org.apache.uima.ruta.RutaStream stream)